controllers:
    resource: ../src/Controller/
    type: annotation

kernel:
    resource: ../src/Kernel.php
    type: annotation

homepage:
    path: /
    controller: App\Controller\BlogController::index

article_add:
    path: /add
    controller: App\Controller\BlogController::add

article_show:
    path: /show/{url}
    controller: App\Controller\BlogController::show
# Dans les deux cas routes suivantes, on ne va pas utiliser une URL, car celles-ci ne doivent pas être publiques
article_edit:
    path: /edit/{id}
    controller: App\Controller\BlogController::edit
    requirements:
        id: '\d+' # Stipule que l'ID ne peut être qu'un entier

article_remove:
    path: /remove/{id}
    controller: App\Controller\BlogController::remove
    requirements:
        id: '\d+' # Stipule que l'ID ne peut être qu'un entier
